///////////////////////////////////////////////////////////////////////////////
// Copyright (C) 2010 Sebastian Pancratz                                     //
//                                                                           //
// Distributed under the terms of the GNU General Public License as          //
// published by the Free Software Foundation; either version 2 of the        //
// License, or (at your option) any later version.                           //
//                                                                           //
// http://www.gnu.org/licenses/                                              //
///////////////////////////////////////////////////////////////////////////////

/**
 * \file    fmpq_poly-example.c
 * \brief   Simple example
 * \author  Sebastian Pancratz
 * \date    Jan 2010
 * 
 * This file contains a simple example for how to use the 
 * <tt>fmpq_poly</tt> package.
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "fmpq_poly.h"

int main(int argc, char *argv[])
{
    char *str, *strf, *strg;
    fmpq_poly_t f, g;
    fmpq_poly_init(f);
    fmpq_poly_init(g);
    fmpq_poly_from_string(f, "2  1/2 3/5");
    fmpq_poly_from_string(g, "3  -1 -3/2 2/7");
    strf = fmpq_poly_to_string_pretty(f, "t");
    strg = fmpq_poly_to_string_pretty(g, "t");
    printf("f     = %s\n", strf);
    printf("g     = %s\n", strg);
    fmpq_poly_mul(f, f, g);
    str  = fmpq_poly_to_string_pretty(f, "t");
    printf("f * g = %s\n", str);
    free(str);
    free(strf);
    free(strg);
    fmpq_poly_clear(f);
    fmpq_poly_clear(g);
}

